메인 콘텐츠로 건너뛰기
GET
/
v1
/
external
/
notes
/
{noteGuid}
/
share-link
Get Share Link
curl --request GET \
  --url https://api.tiro.ooo/v1/external/notes/{noteGuid}/share-link \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.tiro.ooo/v1/external/notes/{noteGuid}/share-link"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.tiro.ooo/v1/external/notes/{noteGuid}/share-link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "shareId": "LHr1bHvCCdVCG",
  "shareUrl": "https://tiro.ooo/s/LHr1bHvCCdVCG",
  "sharePassword": null,
  "hasPassword": true
}
{
"error": {
"code": 404018,
"errorType": "not_found",
"message": "No team found for user #217",
"detail": null
}
}
{
"error": {
"code": 404018,
"errorType": "not_found",
"message": "No team found for user #217",
"detail": null
}
}
{
"error": {
"code": 404018,
"errorType": "not_found",
"message": "No team found for user #217",
"detail": null
}
}

인증

Authorization
string
header
필수

API key in format {id}.{secret}

경로 매개변수

noteGuid
string
필수

Note GUID

응답

Share link details

shareId
string
필수

Unique share link identifier

예시:

"LHr1bHvCCdVCG"

shareUrl
string<uri>
필수

Full URL for accessing the shared note

예시:

"https://tiro.ooo/s/LHr1bHvCCdVCG"

hasPassword
boolean
필수

Whether the share link has a password

예시:

true

sharePassword
string | null

Share link password.

  • Only returned on PUT with usePassword: true
  • Always null in GET responses
예시:

"a1b2c3d4"